> For the complete documentation index, see [llms.txt](https://docs.libre.org/libre-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.libre.org/libre-docs/advanced-features/governance/voting-power.md).

# Voting Power

The Libre blockchain is governed by the LIBRE token which must be "staked" (aka locked) for a time in order to have some "skin in the game" when voting. Accounts are rewarded for staking by earning LIBRE whether or not they actually engage in governance.

Every Libre account that has [staked LIBRE tokens](https://gitlab.com/libre-chain/libre-chain-gitbook/-/blob/main/earn/staking.md) has a voting weight called "voting power" that determines the weight of that account's votes in the DAO and for voting on Validators.

There is a leaderboard visible on the dashboard at <https://defi.libre.org/dao/leaderboard> and this is verifiable on-chain by using a block explorer and looking at the [stake.libre::power table](https://local.bloks.io/account/stake.libre?nodeUrl=http%3A%2F%2Flb.libre.org\&coreSymbol=LIBRE\&systemDomain=eosio\&hyperionUrl=http%3A%2F%2Flb.libre.org\&loadContract=true\&tab=Tables\&account=stake.libre\&scope=stake.libre\&limit=100\&table=power).

This power is determined by the remaining days of each stake of LIBRE, up to a maximum of 1 year.

The formula to calculate the voting power (vp) is:

$$
vp = (staked LIBRE) \* (1 + MIN(1,(stakeLength /  365))
$$

For example, if you have 1000 tokens staked with 365 days remaining, your voting power will be 2000. If you only have 10 days remaining, your voting power will be approximately 1027.39726.

{% hint style="info" %}
It's important to note that this formula formula is implemented in the [open-source taking contract](https://gitlab.com/libre-chain/staking-contract) and cannot be updated without a hard fork of the code.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.libre.org/libre-docs/advanced-features/governance/voting-power.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
